petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMShellGetRefine

Get the routine used to refine the shell DM

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellGetRefine(DM dm, PetscErrorCode (**refine)(DM,MPI_Comm,DM*))

Logically Collective on dm

### Input Argument

dm -the shell DM

### Output Argument

refine -the routine that refines the DM

### See Also

DMShellSetCoarsen(), DMCoarsen(), DMShellSetRefine(), DMRefine()

### Level

advanced

### Location

src/dm/impls/shell/dmshell.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages